package com.ozs.pm.service;

import com.ozs.pm.doman.PmDemand;
import com.ozs.pm.doman.vo.requestVo.PmRequestVo;
import com.ozs.pm.doman.vo.responseVo.PmDemandResponseVo;

import java.util.List;


/**
 * 采购需求Service接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface IPmDemandService 
{
    /**
     * 查询采购需求
     * 
     * @param demandId 采购需求主键
     * @return 采购需求
     */
    public PmDemandResponseVo selectPmDemandByDemandId(Long demandId);

    /**
     * 查询采购需求列表
     * 
     * @param pmDemand 采购需求
     * @return 采购需求集合
     */
    public List<PmDemandResponseVo> selectPmDemandList(PmRequestVo pmDemand);

    /**
     * 新增采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int insertPmDemand(PmDemand pmDemand);

    /**
     * 修改采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int updatePmDemand(PmDemand pmDemand);


}
